Bug 200585 - Obsolete snd-powermac module wreaks havoc, constantly trying to load
Summary: Obsolete snd-powermac module wreaks havoc, constantly trying to load
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: powerpc Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-07-28 19:30 UTC by Jarod Wilson
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 106-4.1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-03 16:22:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Verbose udev log output when trying to load snd-powermac (233.61 KB, text/plain)
2006-07-28 19:30 UTC, Jarod Wilson
no flags Details

Description Jarod Wilson 2006-07-28 19:30:55 UTC
Description of problem:
Recent kernel changes obsoleted the snd-powermac alsa driver in favor of
snd-aoa. However, config files aren't automatically updated, and udev isn't
handling things gracefully.

First up, the presence of snd-powermac in /etc/modprobe.conf causes the
following to be logged and spit out on the console, several times per second:

Jul 28 12:51:37 daedalus kernel: snd_powermac: probe of snd_powermac failed with
error -12
Jul 28 12:51:37 daedalus kernel: cannot find the slot for index 0 (range 0-0)

The console spew and cpu-pegging is so bad, its rather difficult to get in and
fix this without doing a rescue boot.

Second, the presence of snd-powermac in /etc/sysconfig/modules/udev-stw.modules
causes udev to try loading the module and infinite number of times:

Jul 28 13:27:51 daedalus kernel: snd-powermac no longer handles any machines
with a layout-id property in the device-tree, use snd-aoa.
Jul 28 13:28:22 daedalus last message repeated 623 times
Jul 28 13:29:10 daedalus last message repeated 892 times

Cranking up udev's logging verbosity reveals this further data:

Jul 28 14:50:38 daedalus udevd-event[4606]: udev_rules_get_run: rule applied,
'snd_powermac' is ignored
Jul 28 14:50:38 daedalus udevd-event[4601]: run_program: '/sbin/modprobe'
(stderr) 'FATAL: Error inserting snd_powermac
(/lib/modules/2.6.17-1.2462.fc6/kernel/sound/ppc/snd-powermac.ko): No such device'
Jul 28 14:50:38 daedalus udevd-event[4638]: wait_for_sysfs: device disappeared
while waiting for '/sys/devices/platform/snd_powermac/bus'
Jul 28 14:50:38 daedalus udevd-event[4638]: run_program: '/sbin/modprobe
snd_powermac'
Jul 28 14:50:38 daedalus udevd-event[4640]: udev_rules_get_run: rule applied,
'snd_powermac' is ignored
Jul 28 14:50:38 daedalus udevd-event[4641]: udev_rules_get_run: rule applied,
'snd_powermac' is ignored
Jul 28 14:50:38 daedalus udevd-event[4638]: run_program: '/sbin/modprobe'
(stderr) 'FATAL: Error inserting snd_powermac
(/lib/modules/2.6.17-1.2462.fc6/kernel/sound/ppc/snd-powermac.ko): No such device'
Jul 28 14:50:38 daedalus udevd-event[4642]: udev_rules_get_run: rule applied,
'snd_powermac' is ignored
Jul 28 14:50:38 daedalus udevd-event[4652]: udev_rules_get_run: rule applied,
'snd_powermac' is ignored
Jul 28 14:50:38 daedalus udevd-event[4665]: wait_for_sysfs: device disappeared
while waiting for '/sys/devices/platform/snd_powermac/bus'
Jul 28 14:50:38 daedalus udevd-event[4665]: run_program: '/sbin/modprobe
snd_powermac'
Jul 28 14:50:38 daedalus udevd-event[4668]: udev_rules_get_run: rule applied,
'snd_powermac' is ignored
Jul 28 14:50:38 daedalus udevd-event[4667]: udev_rules_get_run: rule applied,
'snd_powermac' is ignored
Jul 28 14:50:39 daedalus udevd-event[4665]: run_program: '/sbin/modprobe'
(stderr) 'FATAL: Error inserting snd_powermac
(/lib/modules/2.6.17-1.2462.fc6/kernel/sound/ppc/snd-powermac.ko): No such device'
Jul 28 14:50:39 daedalus udevd-event[4673]: udev_rules_get_run: rule applied,
'snd_powermac' is ignored
Jul 28 14:50:39 daedalus udevd-event[4675]: udev_rules_get_run: rule applied,
'snd_powermac' is ignored


Version-Release number of selected component (if applicable):
kernel-2.6.17-1.2462.fc6 and udev-095-3

How reproducible:
Even with all traces of it removed from the mentioned config files, a simple
attempt to modprobe snd-powermac results in it trying to be loaded over and
over. Log output from the command "udevcontrol log_priority=debug ; modprobe
snd-powermac ; sleep 5; udevcontrol log_priority=err" is attached.

Comment 1 Jarod Wilson 2006-07-28 19:30:55 UTC
Created attachment 133262 [details]
Verbose udev log output when trying to load snd-powermac

Comment 2 Jarod Wilson 2006-07-28 19:48:29 UTC
I should add that the module is not *completely* obsolete, only on some
platforms, so we can't simply remove it. (My G4 tower still uses snd-powermac,
my PowerBook needs the new snd-aoa).

Comment 3 Harald Hoyer 2007-06-26 12:46:29 UTC
hmpf
some want snd-powermac to be loaded.. some doesn't ... I'll kick it..


Comment 4 Fedora Update System 2007-06-27 03:49:40 UTC
udev-106-4.1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2007-07-03 16:22:27 UTC
udev-106-4.1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.